package tictactoe.bThreads;

import static bp.BProgram.*;
import static bp.eventSets.EventSetConstants.*;
import tictactoe.events.Click;
import bp.BThread;

/**
 * A scenario that handles click events
 */
@SuppressWarnings("serial")
public class ClickHandler extends BThread {
	private int row,col;
	public ClickHandler(int row,int col) {
		this.row = row;
		this.col = col;
	}
	public void runBThread() {
		try {

			bp.bSync(new Click(row, col) , none ,none );

		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public String toString() {
		return "ClickHandler(" + row + "," + col + ")";
	}
}