package tictactoe.bThreads;

import static bp.BProgram.*;
import static bp.eventSets.EventSetConstants.*;
import static tictactoe.events.StaticEvents.*;
import tictactoe.events.O;
import bp.BThread;
import bp.eventSets.EventSet;
import bp.eventSets.RequestableEventSet;
import bp.exceptions.BPJException;

/**
 * BThread that request all possible 9 moves - as default moves.
 * they "kick in" if no other strategy recommends anything.
 * 	 */
/**
 */

@SuppressWarnings("serial")
public class DefaultMoves extends BThread {

	public void runBThread() throws BPJException {
		RequestableEventSet defaultMoves = new RequestableEventSet();
//		RequestableEventSet corners = new RequestableEventSet();
//		RequestableEventSet edges = new RequestableEventSet();
////		interruptingEvents = new EventSet(gameOver);

		defaultMoves.add(new O(1, 1));
		defaultMoves.add(new O(0, 0));
		defaultMoves.add(new O(0, 2));
		defaultMoves.add(new O(2, 0));
		defaultMoves.add(new O(2, 2));
		defaultMoves.add(new O(0, 1));
		defaultMoves.add(new O(1, 0));
		defaultMoves.add(new O(1, 2));
		defaultMoves.add(new O(2, 1));
		
//		defaultMoves.add(new O(1, 1));
//		corners.add(new O(0, 0));
//		corners.add(new O(0, 2));
//		corners.add(new O(2, 0));
//		corners.add(new O(2, 2));
//		defaultMoves.add(corners);
//		edges.add(new O(0, 1));
//		edges.add(new O(1, 0));
//		edges.add(new O(1, 2));
//		edges.add(new O(2, 1));
//		defaultMoves.add(edges);

		while (true) {
			bp.bSync(defaultMoves, none, none);
		}
	} // end runBThread method

	public String toString() {
		return "DefaultMoves";
	}
} // end class
