package tictactoe.bThreads;

import static bp.BProgram.*;
import static bp.eventSets.EventSetConstants.*;
import static tictactoe.events.StaticEvents.*;
import tictactoe.events.O;
import tictactoe.events.X;
import bp.BThread;
import bp.eventSets.EventSet;
import bp.eventSets.EventsOfClass;
import bp.exceptions.BPJException;

/**
 * BThread that blocks players from playing when its not their turn.
 */
@SuppressWarnings("serial")
public class EnforceTurns extends BThread {
	public void runBThread() throws BPJException {
		EventsOfClass Xevents = new EventsOfClass(X.class);
		EventsOfClass Oevents = new EventsOfClass(O.class);
//		interruptingEvents = new EventSet(gameOver);
		while (true) {
			labelNextVerificationState("X's turn");
			bp.bSync(none, Xevents, Oevents);
			labelNextVerificationState("O's turn");
			bp.bSync(none, Oevents, Xevents);

		}
	}

}
