package tictactoe.bThreads;

import static bp.BProgram.*;
import static bp.eventSets.EventSetConstants.*;
import static tictactoe.events.StaticEvents.*;

import javax.swing.JButton;

import tictactoe.events.Move;
import tictactoe.externalApp.TicTacToe;
import bp.BThread;
import bp.eventSets.EventSet;
import bp.eventSets.EventsOfClass;
import bp.exceptions.BPJException;

/**
 * BThread for updating the labels of the buttons.
 */
@SuppressWarnings("serial")
public class UpdateActiveGUI extends BThread {

	public void runBThread() throws BPJException {
		interruptingEvents = new EventSet(gameOver);



		while (true) {

			// Wait for an event
			bp.bSync(none, new EventsOfClass(Move.class), none);

			// Update the board
			Move move = (Move) bp.lastEvent;
			JButton btt = TicTacToe.disp.buttons[move.row][move.col];
			btt.setText(move.displayString());
//			btt.setEnabled(false);
		}
	}
}
